Permission to view only your own time logs
2011-07-28 10:33 - Lars Dornheim

Status: Closed Start date: 2011-07-28
Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 3.1.0

Resolution: Fixed

Description

The should be the possibiliy to set the role permissions in such a way, that a user of a role can only see its own time logs, that means
his own spent hours.

For setting the time logs such a permission already exists (Edit own time logs). But this permission does have no effect, if the
permission "View spent time" is deactivated.

So, at the moment, there is no possibility, that a project member can update or correct his own time logs without the right to see the
time logs of all other project members, which is problematical for a lot of organizations, because they don't allow this.

Related issues:
Has duplicate Redmine - Feature #942: Control Time Report/Detail Access (my t... Closed 2008-03-27
Blocked by Redmine - Patch #19982: #8929 and #19707 i18n fixes, locales addit... Closed

Associated revisions

Revision 14275 - 2015-05-30 09:40 - Jean-Philippe Lang

Adds a role setting that viewing all or own time entries (#8929).

Revision 14296 - 2015-06-06 09:20 - Jean-Philippe Lang
Adds missing strings to locales (#8929).

Patch by Mischa The Evil

History

#1 - 2011-07-28 11:26 - Lars Dornheim

| just discovered, that a section "Spend time" for the last 7 days can be added to the "My page", so the above described problems can be solved
partly.

However, | did not find a possibility to show time logs in this section, which are older than 7 days. Perhaps this could be configured or there could be
several pages, where some can go through. But on the other hand, the possibility to make only the last X day available is not bad in some cases.

Another thing, I did not found, is a direct way to log time to a project (not to a specific ticket), if the permission for viewing the time logs of all users is
not enabled. The only way is to use the "Log time" link from a specific ticket and clear the issue ID, which is somewhat annoying. If the permission to
view all time logs (also of the other users) is enabled, than there exists a "Log time" link on the "Spent time" page, which can be reached from the
right margin of the project overview page. So, a "Log time" link perhaps somewhere next to the "Spent time" link on the project overview page would
be nice, that is not affected by the permission for viewing the time logs of all users.

#2 - 2011-07-28 20:30 - Terence Mill
+1 for the additional right.

Redmine won't be allowed for many comanies because workers' council will forbid this personal data being reportable by managment or all in this
detailed level.

#3 - 2012-01-21 14:56 - The 2nd

one vote for the additional view own spend time

i also want to note that if you use the "Spend time the last 7 days" addon on mypage and delete one entry you get redirected to the spend time page
and get an 403 error if you dont have the right to view spent time entries.

#4 - 2012-06-16 06:46 - Hunde Haendla
another vote for that feature,
would realy appreciate it

Thxalot

#5 - 2013-01-05 14:08 - Pavel Bahushevich

this should solve the problem http://www.redmine.org/plugins/selfspenttime :)))

#6 - 2013-02-07 20:10 - Filou Centrinov

+1 It would be great, if this Feature could be integrated in Redmine!

#7 - 2013-02-08 03:32 - Toshi MARUYAMA

- Category set to Permissions and roles

#8 - 2013-04-14 10:18 - Toshi MARUYAMA

- Category changed from Permissions and roles to Time tracking

#9 - 2015-03-11 16:42 - Zer Guz

+1 vote
Please add a separate permission "view own spent time".

#10 - 2015-05-26 21:28 - Jean-Philippe Lang
- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.0

#11 - 2015-05-30 09:44 - Jean-Philippe Lang
- Subject changed from Permission needed to view only your own time logs to Permission to view only your own time logs
- Status changed from New to Closed

- Resolution set to Fixed

Fetaure added in r14276. For roles with the "view time logs" permission, you can now choose if the role can view all or own time entries only using the
"time logs visibility" property.

#12 - 2015-06-02 03:28 - Mischa The Evil

- Status changed from Closed to Reopened

Please see #19982.

#13 - 2015-06-02 03:29 - Mischa The Evil
- Blocked by Patch #19982: #8929 and #19707 i18n fixes, locales additions and code layout cleanup added

#14 - 2015-06-06 09:34 - Jean-Philippe Lang

- Status changed from Reopened to Closed

#15 - 2018-04-02 22:57 - Marius BALTEANU
- Related to deleted (Feature #942: Control Time Report/Detail Access (my time vs all time))

#16 - 2018-04-02 22:57 - Marius BALTEANU

- Has duplicate Feature #942: Control Time Report/Detail Access (my time vs all time) added
